Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj.annotation
Class AbstractAspectJAdvisorFactory.AspectJAnnotation<A extends Annotation>

    java.lang.Object
      org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory.AspectJAnnotation<A>

Enclosing class:
  AbstractAspectJAdvisorFactory

    protected static class AbstractAspectJAdvisorFactory.AspectJAnnotation<A extends Annotation>

extends Object

Class modelling an AspectJ annotation, exposing its type enumeration and pointcut String.

Constructor Summary
`AbstractAspectJAdvisorFactory.AspectJAnnotation(A annotation)`

Method Summary
`A` | `getAnnotation()`
`AbstractAspectJAdvisorFactory.AspectJAnnotationType` | `getAnnotationType()`
`String` | `getArgumentNames()`
`String` | `getPointcutExpression()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractAspectJAdvisorFactory.AspectJAnnotation

    public AbstractAspectJAdvisorFactory.AspectJAnnotation(A annotation)

Method Detail

### getAnnotationType

    public AbstractAspectJAdvisorFactory.AspectJAnnotationType getAnnotationType()

### getAnnotation

    public A getAnnotation()

### getPointcutExpression

    public String getPointcutExpression()

### getArgumentNames

    public String getArgumentNames()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD